com.trendmicro.ds.appcontrol.rest.object.drift

## Class DescribeComputerDriftResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.DescribeComputerDriftResponse

-     public class DescribeComputerDriftResponse
      extends java.lang.Object

  Response object for the DescribeComputerDrift API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeComputerDriftResponse()`
    `DescribeComputerDriftResponse(DriftItemSummary... items)`
    `DescribeComputerDriftResponse(java.util.List<DriftItemSummary> driftItemSummaries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(DriftItemSummary... toAdd)` Add application drift items that matched the search scope.
    `boolean` | `getCountOverMaximum()` Get whether there are more eligible results than could be counted.
    `java.util.List<DriftItemSummary>` | `getItems()` Get the list of application drift items that matched the search scope.
    `int` | `getTotal()` Get the number of results, including those excluded by pagination parameters.
    `void` | `setCountOverMaximum(boolean countOverMaximum)` Set whether there are more eligible results than could be counted.
    `void` | `setItems(java.util.List<DriftItemSummary> driftItemSummaries)` Set the list of application drift items that matched the search scope.
    `void` | `setTotal(int total)` Set the number of results, including those excluded by pagination parameters.
    `DescribeComputerDriftResponse` | `withItems(java.util.List<DriftItemSummary> driftItemSummaries)` Set the list of application drift items that matched the search scope.
    `DescribeComputerDriftResponse` | `withTotal(int total)` Set the number of results, including those excluded by pagination parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeComputerDriftResponse

          public DescribeComputerDriftResponse()

    - #### DescribeComputerDriftResponse

          public DescribeComputerDriftResponse(java.util.List<DriftItemSummary> driftItemSummaries)

    - #### DescribeComputerDriftResponse

          public DescribeComputerDriftResponse(DriftItemSummary... items)

  - ### Method Detail

    - #### add

          public void add(DriftItemSummary... toAdd)

      Add application drift items that matched the search scope.
      Parameters:
        `toAdd` - the application drift items that matched the search scope to add.

    - #### getItems

          public java.util.List<DriftItemSummary> getItems()

      Get the list of application drift items that matched the search scope.
      Returns:
        the list of application drift items that matched the search scope.

    - #### setItems

          public void setItems(java.util.List<DriftItemSummary> driftItemSummaries)

      Set the list of application drift items that matched the search scope.
      Parameters:
        `driftItemSummaries` - the list of application drift items that matched the search scope.

    - #### withItems

          public DescribeComputerDriftResponse withItems(java.util.List<DriftItemSummary> driftItemSummaries)

      Set the list of application drift items that matched the search scope.
      Parameters:
        `driftItemSummaries` - the list of application drift items that matched the search scope.
      Returns:
        the updated `DescribeComputerDriftResponse` object.

    - #### getTotal

          public int getTotal()

      Get the number of results, including those excluded by pagination parameters.
      Returns:
        the number of results, including those excluded by pagination parameters.

    - #### setTotal

          public void setTotal(int total)

      Set the number of results, including those excluded by pagination parameters.
      Parameters:
        `total` - the number of results, including those excluded by pagination parameters.

    - #### withTotal

          public DescribeComputerDriftResponse withTotal(int total)

      Set the number of results, including those excluded by pagination parameters.
      Parameters:
        `total` - the number of results, including those excluded by pagination parameters.
      Returns:
        the updated `DescribeComputerDriftResponse` object.

    - #### getCountOverMaximum

          public boolean getCountOverMaximum()

      Get whether there are more eligible results than could be counted.
      Returns:
        whether there are more eligible results than could be counted.

    - #### setCountOverMaximum

          public void setCountOverMaximum(boolean countOverMaximum)

      Set whether there are more eligible results than could be counted.
      Parameters:
        `countOverMaximum` - whether there are more eligible results than could be counted.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.